Summary:	Small applications which embed themselves in the GNOME panel
Name:		gnome-applets
Version: 	1.4.0.4
Release:	1mdk
License:	GPL
Group:		Graphical desktop/GNOME
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.3.1-2mdk correctly generate scrollkeeper files
Patch0:		gnome-applets-1.4.0-scrollkeeper.patch.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
PreReq:	scrollkeeper
Requires:   gnome-media
BuildRequires: gnome-core-devel >= 1.1.9 XFree86-devel ORBit-devel gnome-libs-devel 
BuildRequires: audiofile-devel esound-devel imlib-devel gdk-pixbuf-devel libghttp-devel 
BuildRequires: libgtop-devel libjpeg-devel gnome-core libpng-devel libtiff-devel libxml-devel zlib-devel 
BuildRequires:	libghttp-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME (like KDE) is based completely on Open Source
software.  The gnome-applets package provides Panel applets which
enhance your GNOME experience.

You should install the gnome-applets package if you would like to abuse the
GNOME desktop environment by embedding small utilities in the GNOME panel.

%prep
%setup -q
%patch0 -p 1 -b .scrollkeeper

#needed by patch 0
automake

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

# (fc) 1.3.1-2mdk don't use %%makeinstall macro or it will break omf files..
make DESTDIR=$RPM_BUILD_ROOT install

#install po files separately
(cd po ;
%makeinstall
)

%{find_lang} %{name}

rm -f $RPM_BUILD_ROOT%{_datadir}/applets/Utility/gnotes_applet.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applets/Utility/bug-applet.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applets/*
%{_datadir}/asclock
%{_datadir}/clockmail
%{_datadir}/geyes
%{_datadir}/gnome/gkb
%{_datadir}/gnome/help/*
%{_datadir}/gweather
%{_datadir}/odometer
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/sound-monitor
%{_datadir}/tickastat
%{_datadir}/xmodmap
%config %{_sysconfdir}/CORBA/servers/*

%changelog
* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.4-1mdk
- Release 1.4.0.4
- Add dependency on gnome-media

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.3-1mdk
- Release 1.4.0.3

* Thu Jul 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Regenerate patch 0

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-4mdk
- Correct description

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-3mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-2mdk
- Correct scrollkeeper files
- Update scrollkeeper database

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-3mdk
- Remove buildconflict on libxml2-devel

* Fri Dec 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Correct dependencies

* Thu Nov 16 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.4-1mdk
- new and shiny release.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.3-2mdk
- added buildconflicts with libxml2-devel

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.3-1mdk
- new version 1.2.3

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-6mdk
- fixed langs
- fixed build root
- I don't think we should put noreplace for gnorba files...
  (must be on par with the app and must not be edited by the user)

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-5mdk
- automatically added BuildRequires

* Wed Jul 26 2000 dam's <damien@mandrakesoft.com> 1.2.1-4mdk
- spec cleanup.
- corrected bad localstatedir

* Tue Jul 25 2000 P'tit Lu <ptitlu@mandrakesoft.com> 1.2.1-3mdk
- Improve French translation.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- BM + macrozification.

* Tue Jun 13 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- update from helix version.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.9-3mdk
- BuildRequires: libghttp-devel

* Wed May 17 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.9-2mdk
- add build require to recent gnome version

* Tue Apr 25 2000 dam's <damien@mandrakesoft.com> 1.1.9-1mdk
- first mandrake release from helix code.
